Сегодняшнее обновление - фатал еррор! Есть решение


Только что обновился вебасист. Сайт лег.

Fatal error: Access level to shopPlugin::$settings_config must be protected (as in class waPlugin) or weaker in /home/a7bags/7bags.com.ua/www/wa-apps/shop/lib/classes/plugins/shopPlugin.class.php on line 4


что делать? Разрабы, йошкин кот, что это???

25 ответов

  • 1
    MargoM 25 сентября 2015 07:04 #

    Трындец просто!! У меня то же самое.

  • 1
    Amet 25 сентября 2015 07:32 #

    Тоже всё умерло! Не работает приложение магазин и сам фронтэнд! Что делаТЬ?!

  • 1
    MargoM 25 сентября 2015 07:34 #

    Люди, кто как спасается?

    Разработчик предлагет мне

    для уточнения причины посмотрите инструкцию https://www.shop-script.ru/help/4120/500-internal-server-error/

  • 1
    nail - 25 сентября 2015 07:36 #

    та же проблема

  • 1
    Amet 25 сентября 2015 07:38 #

    У меня вообще ничего не пишет, никаких ошибок - просто пустая страница www.streetunit.ru

  • 1
    Amet 25 сентября 2015 07:40 #

    Новые обновления всё исправили

  • 1
    Алексей Webasyst 25 сентября 2015 07:42 # Решение

    Необходимо установить все обновления.
    Данная ошибка может возникать если не было установлено обновление для приложения Магазин.

    • +2
      Сергей Васильевич Сергей Васильевич 19 октября 2015 04:43 #

      установил обновления но все и после этого перестал работать сайт!

      Fatal error: Access level to shopPlugin::$settings_config must be protected (as in class waPlugin) or weaker in /home/aqq15239/public_html/fruktopolis.ru/wa-apps/shop/lib/classes/plugins/shopPlugin.class.php on line 3

  • 3
    nail - 25 сентября 2015 07:44 #

    У меня нет новых обнавлений. так и не работает приожение магазин и сам сайт

  • 4
    MargoM 25 сентября 2015 07:48 #

    Разработчики лишь выписали диагноз, оказывается это я виновата, что не сразу все обновления решила установить, а только одно. Слов нет просто..
    Ну хоть заработало

  • 3
    Victorovich 25 сентября 2015 11:57 #

    Ну что за горе обновление. Установил все обновления. Но. Теперь при попытке зайти в настройки некоторых плагинов, не всех, а только некоторых (Магазин-Плагины) вываливается

    <h1>Ошибка #0</h1><h2>/wa-apps/shop/lib/actions/plugins/shopPluginsSettings.action.php] for class [shopPluginsSettingsAction]
    </h2>


    • +1

      Откройте инсталлер, убедитесь, что установлены ВСЕ доступные обновления.
      Далее в настройках инсталлера сбросьте кэш.

      • +2
        Robur Robur 27 сентября 2015 16:53 #

        Открыл инсталлер, убедился что установлены ВСЕ обновления. Далее в настройках инсталлера сбросил кэш. НЕ ПОМОГЛО!. Как был трупом сайт, так и остался. Завтра понедельник утро. Думаю не только мне, обладатели сайта начнут рвать мозг по телефону по поводу того, что их сайт не работает....

    • +1
      Artem Mountain Artem Mountain 27 сентября 2015 16:36 #

      Та же ерунда!
      плагины "слайдер" и "обратный звонок" не работают корректно и в настройки не зайти ! ((((

      Печалька!

  • 2
    Sed_Lex 25 сентября 2015 14:52 #

    теперь новый прикол. заказ оформляется в валюте ввода товара с размерностью валюты фронтенда. То, что введено как 100 уе и продается за 2400 грн в заказе оформляется за 100 гривен!!! Зато заказов насыпалось, теперь клиентам нужно обьяснятЬ, кто дибил

  • 3
    Clashmind 27 сентября 2015 14:37 #

    Та же хрень, ни в магазин, ни в панель управления попасть не могу, что делать?

  • 3
    Kain 29 сентября 2015 08:46 #

    Подло так поступать, вы как разработчики должны были знать(хотя есть подозрения что это еще и умышленно) о такой невозможной обратной совместимости при обновлении движка и невозможности работы старой версии(не обновленной) шоп скрипта...

    банальное предупреждение что магазин перестанет работать - если его не обновить - спасло бы нервы людей и негатив в ваш сторону при обращении в поддержку.



  • 1
    komkom 29 сентября 2015 12:30 #

    А у меня вот к вам всем простой банальный вопрос:

    а что вы все хотите получить с помощью этих обновлений?)))

    Вы что, бабла станете больше зарабатывать?

    • +1
      Artem Mountain Artem Mountain 29 сентября 2015 12:56 #

      Стабильность работы движка,приложений и кривых плагинов.

  • 2
    Artem Mountain 29 сентября 2015 12:50 #

    Нет господа из webassyst так дело дальше не пойдет !

    Или вы выходите на связь и восстанавливаете все что слетело по вашей вине или я уйду на битрикс и припишу вам все финансовые затраты связанные с экстренным переходам на другую платформу (БИТРИКС ПУСТЬ ДОРОЖЕ НО СТАБИЛЬНЕЕ В РАЗЫ С АДЕКВАТНОЙ ПОДДЕРЖКОЙ) а финансовые споры мы решим в суде 30 000 руб на адвоката сейчас не деньги все равно потом вернете .

    Модули которые продаются в вашем магазине плохо адаптированы и имеют кучу ошибок как эти поделки с кафедры коневодства монтажного техникума г.Кызыл проходят 5-ти кратный контроль в вашем лице?

    Мы из за вашего разгильдяйства теряем каждый час клиентов!

    К тому же вы уже потеряли одного мульти клиента в виде меня все эти проблемы мне не нужны.

    Считайте это письмо официальным предупреждением.

    Связатся с web-мастером нашего аккаунта можно в любое время.

Добавить ответ

Чтобы добавить комментарий, зарегистрируйтесь или войдите